{-| Module  : FiniteCategories
Description : Six examples of 'NumberCategory' pretty printed.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

Six examples of 'NumberCategory' pretty printed. 
-}
module Math.FiniteCategories.NumberCategory.Example
(
    main
)
where
    import Math.FiniteCategories.NumberCategory
    import Math.IO.PrettyPrint
    import Math.FiniteCategory
    
    
    -- | Six examples of 'NumberCategory' pretty printed.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.NumberCategory.Example"
        let cats = numberCategory <$> [0..5]
        let p = (putStrLn.pprintFiniteCategory) <$> cats
        sequence p
        putStrLn "End of Math.FiniteCategories.NumberCategory.Example"