{-| Module  : FiniteCategories
Description : Run all examples of the project.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

Run all examples of the project. See results in the folder OutputGraphViz.
-}

module Main
(
    main
)
where
    import qualified Math.FiniteCategories.Examples     as  FINCAT
    import qualified Math.Functors.Examples             as  FUNCTORS
    import qualified CheckAllFiniteCategories           as  CHECK
    
    -- | Run all examples of the project. See results in the folder OutputGraphViz.
    main = do
        FUNCTORS.main
        FINCAT.main
        CHECK.main